Name:           python-rnaglib
Version:        3.4.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        RNAglib: Tools for learning on the structure of RNA using 2.5D geometric representations

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/cgoliver/rnaglib
Source:         %{pypi_source rnaglib}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rnaglib' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rnaglib
Summary:        %{summary}

%description -n python3-rnaglib %_description


%prep
%autosetup -p1 -n rnaglib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rnaglib -f %{pyproject_files}


%changelog
%autochangelog